# Kalastatic Drupal Integration

This module integrates [Kalastatic](https://github.com/kalamuna/kalastatic)
with Drupal.

[Kalastatic](https://github.com/kalamuna/kalastatic) is a static site framework
for prototyping, style-guiding and building out CMS-less websites.
More information can be found on the
[Kalastatic wiki](https://github.com/kalamuna/kalastatic/wiki).

For a full description of the module, visit the
[project page](https://www.drupal.org/project/kalastatic).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/kalastatic).


## Why this module

For a prototype to be truly alive, it must co-exist with the dynamic assets
generated by the CMS. When the user installs a module in Drupal, CSS and JS
should be brought into the prototype context for regression testing on
components and templates.

Conversely, the prototype as a canonical style guide should be pulled into the
CMS. This approach ensures a portable and agnostic approach to design, and eases
portability across multiple systems – avoiding re-implementation, and
centralizing maintenance.

## Features

- provides pretty paths at `/kalastatic`
- permissions for viewing the protoype
- a configurable path to Kalastatic resources

## Requirements

- [Kalastatic](https://github.com/kalamuna/kalastatic) prototype, which we recommend residing inside your subtheme. at /themes/mytheme/kalastatic

## Installation

Use Composer to install the Kalastatic Drupal module:

```
composer require drupal/kalastatic
```

## Configuration

1. Configure user permissions in Administration » People » Permissions
   - Configure Kalastatic

     Define where Kalastatic lives within Drupal.
     Grab CSS and JS references that can be added to the prototype.

   - View Kalastatic prototype

     Users with this permission will be able to access the prototype at
     `/kalastatic`.


## Upgrading

Visit the [KalaStatic upgrade documentation](https://git.io/vzHdN).


## Maintainers

- Anna Mykhailova - [amykhailova](https://www.drupal.org/u/amykhailova)
- Andrew Mallis - [Andrew_Mallis](https://www.drupal.org/u/andrew_mallis)
- Hawkeye Tenderwolf - [hawkeye.twolf](https://www.drupal.org/u/hawkeyetwolf)
- Rob Loach - [RobLoach](https://www.drupal.org/u/robloach)
- Josh Walker - [sonictruth](https://www.drupal.org/u/sonictruth)
- Thiago de Mello Bueno - [thiagodemellobueno](https://www.drupal.org/u/thiagodemellobueno)
- Kelly - [kelly.m.jacobs](https://www.drupal.org/u/kellymjacobs)
