<?php

namespace Drupal\kalastatic\Routing;

use Symfony\Component\Routing\Route;

/**
 * Defines dynamic routes.
 */
class KalastaticRoutes {

  /**
   * {@inheritdoc}
   */
  public function routes() {
    $routes = [];

    $config = \Drupal::config('kalastatic.settings');

    foreach ($config->get('kalastatic.directories') as $name => $directory) {
      $route_name = 'kalastatic.' . $name;

      $routes[$route_name] = new Route(
        $directory['root_path'] . '/{relative_path}',
        [
          '_controller' => '\Drupal\kalastatic\Controller\KalastaticController::content',
          'name' => $name,
          'relative_path'=> '',
        ],
        [
          '_permission' => $directory['permission'],
          'relative_path' => '^[^\?]*$',
        ]
      );
    }

    return $routes;
  }
}
